# Memcached::add

(PECL memcached >= 0.1.0)

Memcached::add — Añade un ítem asociado a una nueva clave

### Descripción

public Memcached::add(string `$key`, mixed `$value`, int `$expiration` = ?): bool

Memcached::add() es similar a Memcached::set(), pero la operación fallará si `key` ya existe en el servidor.

### Parámetros

`key`

  La clave en la que se guardará el valor.

`value`

  El valor a guardar.

`expiration`

  Tiempo de expiración, que por defecto es 0. Ver Tiempos de expiración para más información.

### Valores devueltos

Devuelve `true` en caso de éxito o `false` en caso de error. Memcached::getResultCode() devolverá `Memcached::RES_NOTSTORED` si la clave ya existe.

### Ver también

- Memcached::addByKey() - Añade un ítem asociado a una nueva clave en un servidor específico
- Memcached::set() - Guardar un ítem
- Memcached::replace() - Reemplaza un ítem asociado a una clave existente